Tcl

Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
ns::oo_class Class Reference

Documented oo class `oo_class` . More...

## Public Member Functions
| constructor args
| Create object. More...
| destructor
| Destroy object. More...
| oo_method_z arg
| Documented oo method `oo_method_z` . More...

## Static Public Attributes
| oo_var
| Documented oo var `oo_var` . More...
| oo_var_out
| Outside defined variable `oo_var_out` . More...

## Protected Member Functions
| oo_method_y arg
| Documented oo method `oo_method_y` . More...

## Detailed Description

Documented oo class `oo_class` .

## Constructor & Destructor Documentation

## ◆ constructor()

ns::oo_class::constructor |  |  | args

Create object.

Configure with args

44 constructor {args} {eval $args}

## ◆ destructor()

ns::oo_class::destructor

Destroy object.

Exit.

47 destructor {exit}

## Member Function Documentation

## ◆ oo_method_y()

ns::oo_class::oo_method_y |  |  | arg
| protected

Documented oo method `oo_method_y` .

Parameters

  [in] | arg | Argument

56 method oo_method_y {arg} {}

## ◆ oo_method_z()

ns::oo_class::oo_method_z |  |  | arg

Documented oo method `oo_method_z` .

Parameters

  [in] | arg | Argument

59 method oo_method_z {arg} {}

## Member Data Documentation

## ◆ oo_var

ns::oo_class::oo_var
| static

Documented oo var `oo_var` .

Defined inside class

50 variable oo_var

## ◆ oo_var_out

ns::oo_class::oo_var_out
| static

Outside defined variable `oo_var_out` .

Inside oo_class

71 variable oo_var_out

The documentation for this class was generated from the following file:

- tclexample.tcl